--------------------------------------------------------------------------------
-- Copyright (c) 1995-2010 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 12.2
--  \   \         Application : sch2hdl
--  /   /         Filename : top.vhf
-- /___/   /\     Timestamp : 09/26/2010 16:01:49
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xbr -flat -suppress -vhdl Z:/Dropbox/Projekte/Xilinx/CoolrunnerStarterKit/siebenSeg/template/template/top.vhf -w Z:/Dropbox/Projekte/Xilinx/CoolrunnerStarterKit/siebenSeg/template/template/top.sch
--Design Name: top
--Device: xbr
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity CRII_MUSER_top is
   port ( Button0 : in    std_logic; 
          Button1 : in    std_logic; 
          Switch0 : in    std_logic; 
          Switch1 : in    std_logic; 
          A       : out   std_logic; 
          AN1     : out   std_logic; 
          AN2     : out   std_logic; 
          AN3     : out   std_logic; 
          AN4     : out   std_logic; 
          B       : out   std_logic; 
          C       : out   std_logic; 
          D       : out   std_logic; 
          E       : out   std_logic; 
          F       : out   std_logic; 
          G       : out   std_logic; 
          LED0    : out   std_logic; 
          LED1    : out   std_logic; 
          LED2    : out   std_logic; 
          LED3    : out   std_logic; 
          P       : out   std_logic);
end CRII_MUSER_top;

architecture BEHAVIORAL of CRII_MUSER_top is
   attribute BOX_TYPE   : string ;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
begin
   XLXI_2 : GND
      port map (G=>LED3);
   
   XLXI_3 : GND
      port map (G=>LED2);
   
   XLXI_4 : GND
      port map (G=>LED1);
   
   XLXI_5 : GND
      port map (G=>LED0);
   
   XLXI_7 : GND
      port map (G=>P);
   
   XLXI_8 : GND
      port map (G=>G);
   
   XLXI_9 : GND
      port map (G=>F);
   
   XLXI_10 : GND
      port map (G=>E);
   
   XLXI_11 : GND
      port map (G=>D);
   
   XLXI_12 : GND
      port map (G=>C);
   
   XLXI_13 : GND
      port map (G=>B);
   
   XLXI_14 : GND
      port map (G=>A);
   
   XLXI_23 : BUF
      port map (I=>Switch1,
                O=>AN1);
   
   XLXI_24 : BUF
      port map (I=>Switch0,
                O=>AN2);
   
   XLXI_25 : BUF
      port map (I=>Button1,
                O=>AN3);
   
   XLXI_26 : BUF
      port map (I=>Button0,
                O=>AN4);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity top is
   port ( Button0 : in    std_logic; 
          Button1 : in    std_logic; 
          Switch0 : in    std_logic; 
          Switch1 : in    std_logic; 
          A       : out   std_logic; 
          AN1     : out   std_logic; 
          AN2     : out   std_logic; 
          AN3     : out   std_logic; 
          AN4     : out   std_logic; 
          B       : out   std_logic; 
          C       : out   std_logic; 
          D       : out   std_logic; 
          E       : out   std_logic; 
          F       : out   std_logic; 
          G       : out   std_logic; 
          LED0    : out   std_logic; 
          LED1    : out   std_logic; 
          LED2    : out   std_logic; 
          LED3    : out   std_logic; 
          P       : out   std_logic);
   attribute LOC : string ;
   attribute LOC of Button0 : signal is "P143";
   attribute LOC of Button1 : signal is "P94";
   attribute LOC of Switch0 : signal is "P39";
   attribute LOC of Switch1 : signal is "P124";
   attribute LOC of A : signal is "P56";
   attribute LOC of AN1 : signal is "P130";
   attribute LOC of AN2 : signal is "P129";
   attribute LOC of AN3 : signal is "P128";
   attribute LOC of AN4 : signal is "P126";
   attribute LOC of B : signal is "P53";
   attribute LOC of C : signal is "P60";
   attribute LOC of D : signal is "P58";
   attribute LOC of E : signal is "P57";
   attribute LOC of F : signal is "P54";
   attribute LOC of G : signal is "P61";
   attribute LOC of LED0 : signal is "P69";
   attribute LOC of LED1 : signal is "P68";
   attribute LOC of LED2 : signal is "P66";
   attribute LOC of LED3 : signal is "P64";
   attribute LOC of P : signal is "P59";
end top;

architecture BEHAVIORAL of top is
   component CRII_MUSER_top
      port ( Switch0 : in    std_logic; 
             LED0    : out   std_logic; 
             LED1    : out   std_logic; 
             LED2    : out   std_logic; 
             LED3    : out   std_logic; 
             AN1     : out   std_logic; 
             AN2     : out   std_logic; 
             AN3     : out   std_logic; 
             AN4     : out   std_logic; 
             A       : out   std_logic; 
             B       : out   std_logic; 
             C       : out   std_logic; 
             D       : out   std_logic; 
             E       : out   std_logic; 
             F       : out   std_logic; 
             G       : out   std_logic; 
             P       : out   std_logic; 
             Switch1 : in    std_logic; 
             Button0 : in    std_logic; 
             Button1 : in    std_logic);
   end component;
   
begin
   XLXI_1 : CRII_MUSER_top
      port map (Button0=>Button0,
                Button1=>Button1,
                Switch0=>Switch0,
                Switch1=>Switch1,
                A=>A,
                AN1=>AN1,
                AN2=>AN2,
                AN3=>AN3,
                AN4=>AN4,
                B=>B,
                C=>C,
                D=>D,
                E=>E,
                F=>F,
                G=>G,
                LED0=>LED0,
                LED1=>LED1,
                LED2=>LED2,
                LED3=>LED3,
                P=>P);
   
end BEHAVIORAL;


